# Lookup postal codes from geo location

Send a bulk request to lookup postal codes from geo location.

Endpoint: POST /doLookupPostalCodes

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Request fields (application/json):

  - `CustomerId` (string, required)
    Required. The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `Latitude` (string, required)
    Required. The latitude geographic coordinate in decimal format.

  - `Longitude` (string, required)
    Required. The longitude geographic coordinate in decimal format.

  - `MaxDistance` (string)
    The requested maximum distance in miles. The maximum value is 10. Default is 10.

  - `MaxRecords` (string)
    The requested number of records. The maximum value is 100. Default is 100.

  - `Options` (string)
    [Options](https://docs.melissa.com/cloud-api/reverse-geocoder/reverse-geocoder-reference-guide.html#reverse-geocoder-referenceguide-dolookuppostalcodes-options) - Specify which options to use for the selected action. List of options in : format. Multiple options are delimited with a ,.

For example: OptionName:Parameter,OptionName:Parameter.
- Level: - This option specifies the level of data to search. Depending on which parameter you set for Level, you can return the ZIP, ZIP+4, or ZIP and Carrier Route with your records.
  - CarrierRoute - Two fields are returned for each record:
    - PostalCode: A 5-digit postal code
    - CarrierRoute: the nearest Carrier Route.
  - Plus4 - Two fields are returned for each record:
    - PostalCode: a 9-digit ZIP+4 Postal Code.
    - CarrierRoute: the nearest Carrier Route.
  - PostalCode - Default. Returns the nearest 5-digit Postal Code.

  - `TransmissionReference` (string)
    Serves as a unique request identifier.

## Response 200 fields (application/json):

  - `Version` (string)
    The current service version number.

  - `TransmissionReference` (string)
    A pass-through of the input TransmissionReference field.

  - `TransmissionResults` (string)
    Lists error codes from any errors caused by the most recent request as a whole. For more information, see [Reverse GeoCoder Result Codes](https://docs.melissa.com/cloud-api/personator-search/result-codes.html).

  - `Results` (string)
    Comma delimited status, error codes, and change codes for the record. For more information, see [Reverse GeoCoder Result Codes](https://docs.melissa.com/cloud-api/personator-search/result-codes.html).

  - `TotalRecords` (integer)
    Total number of records.

  - `Records` (array)

  - `Records.City` (string)
    The city of the output address.

  - `Records.State` (string)
    The state of the output address.

  - `Records.PostalCode` (string)
    The postal code of the output address.

  - `Records.CarrierRoute` (string)
    Returns the 5-digit Postal Code of the output address. If the Level option is set to Plus4 this field will instead return the 9-digit ZIP+4 of the output address.

  - `Records.Latitude` (string)
    The latitude geographic coordinate of the output address.

  - `Records.Longitude` (string)
    The longitude geographic coordinate of the output address.

  - `Records.Distance` (string)
    The distance in miles between the input coordinates and the output coordinates.

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


